#ifndef H_FWCMD
#define H_FWCMD

#include "utils.h"
#include "layout.h"
#include "wingedmonkey.h"
#include "atomic.h"

Layer*  decode_layer(char* name);
Tile*   decode_tile(char* name);
Client* decode_client(char* name);//hex or FOCUS
Dsktp*  decode_desktop(char* name);

void cmd_client_get(int argc, char** argz);//
void cmd_client_set(int argc, char** argz);//
void cmd_client_count(int argc, char** argz);//
void cmd_client_find(int argc, char** argz);
void cmd_client_focus(int argc, char** argz);//
void cmd_client_kill(int argc, char** argz);//
void cmd_client_list(int argc, char** argz);//
void cmd_client_list_stack(int argc, char** argz);//
void cmd_client_move(int argc, char** argz);//
void cmd_client_find(int argc, char** argz);//

void cmd_desktop_get(int argc, char** argz);//
void cmd_desktop_set(int argc, char** argz);//
void cmd_desktop_add(int argc, char** argz);//
void cmd_desktop_list(int argc, char** argz);//
void cmd_desktop_count(int argc, char** argz);//
void cmd_desktop_next(int argc, char** argz);//
void cmd_desktop_prev(int argc, char** argz);//
void cmd_desktop_remove(int argc, char** argz);//
void cmd_desktop_state(int argc, char** argz);//
void cmd_desktop_change(int argc, char** argz);//
void cmd_desktop_rename(int argc, char** argz);//

void cmd_layer_get(int argc, char** argz);//
void cmd_layer_set(int argc, char** argz);//
void cmd_layer_add(int argc, char** argz);//
void cmd_layer_list(int argc, char** argz);//
void cmd_layer_list_stack(int argc, char** argz);//
void cmd_layer_count(int argc, char** argz);//
void cmd_layer_remove(int argc, char** argz);//

void cmd_tile_get(int argc, char** argz);//
void cmd_tile_set(int argc, char** argz);//
void cmd_tile_add(int argc, char** argz);//
void cmd_tile_list(int argc, char** argz);//
void cmd_tile_remove(int argc, char** argz);//

void cmd_rule_list(int argc, char** argz);//
void cmd_rule_add(int argc, char** argz);//
void cmd_rule_remove(int argc, char** argz);//

void cmd_display_get(int argc, char** argz);//

void cmd_hook_set(int argc, char** argz);//
void cmd_hook_list(int argc, char** argz);//

void cmd_cycle(int argc, char** argz);//
void cmd_quit(int argc, char** argz);//
void cmd_exec(int argc, char** argz);//
void cmd_include(int argc, char** argz);//
void cmd_help(int argc, char** argz);//

void cmd(const char* command);

#endif
